class Address:
    __slots__ = ['control', 'state']

    def __init__(self, attributes=None):
        self.state = attributes.get('state')
        self.control = attributes.get('control')


class LightAddress(Address):
    pass


class MotorAddress(Address):
    __slots__ = Address.__slots__ + ['stop']

    def __init__(self, attributes):
        super(MotorAddress, self).__init__(attributes)
        self.stop = attributes.get('stop')
