from spread_core.bam.managers import Manager
from spread_mercury.interface import BrokerInterface


class Mercury(Manager):
    def set_interface(self):
        self.send_interface = BrokerInterface(self.mqttc)

    def add_provider(self, data):
        super(Mercury, self).add_provider(data)
        provider = self.providers[data['id']]
        self.devices.setdefault(provider.address, [])
        self.devices[provider.address].append(provider)

